ENV = 'currency'

LOGGER = 'disabled'

# 未开发的功能组件
__PLACEHOLDER__ = 'disabled'
# 传感器
__SENSOR__ = 'disabled'
# 设备仪表盘
__DEVICE_DASHBARD__ = 'disabled'

# gateway
VUE_APP_GATEWAY = ''

# backend client
VUE_APP_BACKEND_CLIENT = 'backend-api'

# base api
VUE_APP_BASE_API = '/prod-api'

# minio
VUE_APP_MINIO = '/oss-api'

# thumbnail
VUE_APP_THUMBNAIL = '/api/imageproxy'

# keycloak
VUE_APP_KEYCLOAK_OPTIONS_URL = '/auth'
VUE_APP_KEYCLOAK_OPTIONS_REALM = 'smsb'
VUE_APP_KEYCLOAK_OPTIONS_CLIENTID = 'frontend-api'
VUE_APP_KEYCLOAK_OPTIONS_ONLOAD = 'login-required'

# mqtt
# {protocol}://{gateway | host}{proxy}
VUE_APP_MQTT_PROXY = '/mqtt'
VUE_APP_MQTT_USER_NAME = 'frontend'
VUE_APP_MQTT_PASSWORD = 'inspur-frontend'

# camera
# {protocol}://{gateway | host}{proxy}
VUE_APP_CAMERA_PROXY = '/prod-api/websocket'

# user default password
# MD5('111111' + MD5('123456a?'))
VUE_APP_USER_PASSWORD = '6bb301858f5df774b0154dd56f85bc84'

# gaode
VUE_APP_GAODE_MAP_KEY = '9c499e7000d066c05de9af8556a890f7'
